<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>
<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>



<!-- 
Product name: <%= productName %>

URL Encoding:
<%=response.encodeURL("FrontController?operation=10&type=subject") %>
 -->

<h1>End-To-End Encryption</h1>
<br>


		<%
		String infoMsg = (String) request.getAttribute("infoMsg");
		if(infoMsg != null){
			%>
			<br><br><div class="alert alert-success"><%=infoMsg %></div>
			<%
		}
		
		String errorMsg = (String) request.getAttribute("errorMsg");
		if(errorMsg != null){
			%>
			<br><br><div class="alert alert-success"><%=errorMsg %></div>
			<%
		}
		%>


<div class="row">
	<div class="col-md-6">
		End-to-end email encryption ensures no one can view outbound email but the intended recipient. When enabled, Xeams will take the following steps:
			<br>
			<ul>
				<li>Encrypts the message right after receiving it</li>
				<li>Emails are converted to password protected PDF attachment using strong 256 AES encryption</li>
				<li>Message can only be opened if the recipient knows the password</li>
				<li>Even administrators will not be able to open/view the message</li>
			</ul>
		<h2>How it works</h2>
		Assume a user need to send an email with sensitive contents to a client. Following steps 
		demonstrate how to do that.
		<br><br>
		<ul>
			<li>Enable this plugin</li>
			<li>Ask the sender to append the subject of the email with the <b>Subject Suffix</b> value you on the right, along with a
			password. For example:<br><br>
				<table class="table table-condensed table-bordered table-hover">
					<tr><th>Intended Subject</th><td><code>Your tax returns for 2018</code></td></tr>
					<tr><th>Actual Subject</th><td><code>Your tax returns for 2018 <%= request.getAttribute("subjectSuffix") %>(topSecret)</code></td></tr>
				</table>
				
				<br><br>
				In this example, <code>topSecret</code> is the password that will be used to decrypt the message.
			</li>
			
			<li>Xeams will convert this email into an encrypted PDF file that will be attached to a new email, which is then sent to the end-user</li>
			<li>The recipient will need a password to decrypt the PDF file. </li>
			
		</ul> 
		
		
	</div>
	
	<div class="col-md-6">
		<!-- ******* Create Window Panel ******* -->
		<div class="well-info-wrap">
			<div class="well-info-header">E2E Encryption Settings</div>
			<div class="well-info-body">
			
				<form action="<%= request.getAttribute("appPath") %>" method="post">
				
				
					<!-- ******* Enable Tracking ******* -->
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('e2eEnabled')"><b>?</b></div>
					<span class="form-control form-text form-middle pull-left wth-8">Enabled</span>
					<span class="chkbox-cust form-control form-right pull-left wth-1">
						<input id="enabled" type="checkbox" name="enabled" <%= request.getAttribute("enabled") %>>
						<label for="enabled"></label>
					</span>
					<br style="clear:both;">
					<div class="alert alert-info more_info" id="e2eEnabled">
						If checked, E2E Encryption will be enabled
					</div>
					
					
					
					<!-- Subject Suffix-->
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('subjectSuffix')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Subject Suffix:</span>
					<input class="form-control form-right pull-left wth-5" type="text" value="<%= request.getAttribute("subjectSuffix") %>" name="subjectSuffix" required >
				
					<br style="clear:both;">
					<div class="alert alert-info more_info" id="e2eEnabled">
						One-word suffix added to the subject containing password in brackets
					</div>
					
					
					
					
					
					<!-- ******* Require Encryption ******* -->
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('requireE2E')"><b>?</b></div>
					<span class="form-control form-text form-middle pull-left wth-8">Require encryption for sensitive content</span>
					<span class="chkbox-cust form-control form-right pull-left wth-1">
						<input id="mandatory" type="checkbox" name="mandatory" <%= request.getAttribute("mandatory") %> >
						<label for="mandatory"></label>
					</span>
					<br style="clear:both;">
					<div class="alert alert-info more_info" id="requireE2E">
						If checked, encryption will be mandatory sensitive words are found in the content.
					</div>
					
					
					
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('sensitiveWords')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Sensitive Words:</span>
					
					<textarea class="form-control form-right pull-left wth-5" rows="6" cols="15" name="words"><%= request.getAttribute("words") %></textarea>
				
					<br style="clear:both;">
					<div class="alert alert-info more_info" id="sensitiveWords">
						Incoming messages will be rejected if any content matches with any of the following words but user did not encrypt
						the message.<br>Following templates exist for you to use.
						<br><br>
						<ul>
						<%
						Properties props = (Properties) request.getAttribute("sensitiveWords");
						if(props != null){
							Enumeration words = props.keys();
							while(words.hasMoreElements()){
								String oneWord = words.nextElement().toString();
								out.println("<li>" + oneWord + "</li>");
							}
						}
						%>
						</ul>
					</div>
					
					
					
					
					<!-- Subject -->
					<!-- 
					<br style="clear:both;">
					<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('lblSubject')"><b>?</b></div>
					<span class="form-control form-middle form-text pull-left wth-4">Subject Contains:</span>
					<input class="form-control form-right pull-left wth-5" type="text" name="subject" required>
				
					<br style="clear:both;">
					<div class="alert alert-info more_info" id="lblSubject">
						Subject of the outbound emails. Xeams will search for this string in every outbound email.
					</div>
					-->
			
					
					
					
					
					
					
					
		
				
					<br style="clear:both;">
					<br style="clear:both;">
					<!-- ******* Save Button | default is pulled right ******* -->
					<button class="btn btn-sm btn-submit pull-right" type="submit">Submit</button>
					
					<br style="clear:both;">
				
					<input type="hidden" name="save" value="1">
					<input type="hidden" name="operation" value="253">
				</form>
			</div>
		</div>
		
	</div>
</div>



<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
